<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>WarpTree: src/warptreeview.h Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.0 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="annotated.html"><span>Classes</span></a></li>
    <li id="current"><a href="files.html"><span>Files</span></a></li>
  </ul></div>
<h1>src/warptreeview.h</h1><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/* This file is part of WarpTree</span>
<a name="l00002"></a>00002 <span class="comment"> *</span>
<a name="l00003"></a>00003 <span class="comment"> * Copyright (C) 2007 Jos van den Oever &lt;jos@vandenoever.info&gt;</span>
<a name="l00004"></a>00004 <span class="comment"> *</span>
<a name="l00005"></a>00005 <span class="comment"> * This library is free software; you can redistribute it and/or</span>
<a name="l00006"></a>00006 <span class="comment"> * modify it under the terms of the GNU Library General Public</span>
<a name="l00007"></a>00007 <span class="comment"> * License as published by the Free Software Foundation; either</span>
<a name="l00008"></a>00008 <span class="comment"> * version 2 of the License, or (at your option) any later version.</span>
<a name="l00009"></a>00009 <span class="comment"> *</span>
<a name="l00010"></a>00010 <span class="comment"> * This library is distributed in the hope that it will be useful,</span>
<a name="l00011"></a>00011 <span class="comment"> * but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
<a name="l00012"></a>00012 <span class="comment"> * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU</span>
<a name="l00013"></a>00013 <span class="comment"> * Library General Public License for more details.</span>
<a name="l00014"></a>00014 <span class="comment"> *</span>
<a name="l00015"></a>00015 <span class="comment"> * You should have received a copy of the GNU Library General Public License</span>
<a name="l00016"></a>00016 <span class="comment"> * along with this library; see the file COPYING.LIB.  If not, write to</span>
<a name="l00017"></a>00017 <span class="comment"> * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,</span>
<a name="l00018"></a>00018 <span class="comment"> * Boston, MA 02110-1301, USA.</span>
<a name="l00019"></a>00019 <span class="comment"> */</span>
<a name="l00020"></a>00020 <span class="preprocessor">#ifndef WARPTREEVIEW_H</span>
<a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#define WARPTREEVIEW_H</span>
<a name="l00022"></a>00022 <span class="preprocessor"></span>
<a name="l00023"></a>00023 <span class="preprocessor">#include &lt;QtGui/QAbstractItemView&gt;</span>
<a name="l00024"></a>00024 
<a name="l00028"></a><a class="code" href="classWarpTreeNode.html">00028</a> <span class="keyword">class </span><a class="code" href="classWarpTreeNode.html">WarpTreeNode</a> {
<a name="l00029"></a>00029 <span class="keyword">public</span>:
<a name="l00033"></a><a class="code" href="classWarpTreeNode.html#950b8e5be74d4a6f8af732e0f8f0f924">00033</a>     <a class="code" href="classWarpTreeNode.html#950b8e5be74d4a6f8af732e0f8f0f924">WarpTreeNode</a>(<span class="keywordtype">int</span> d) :<a class="code" href="classWarpTreeNode.html#3dc9a70799e29c35f96a0e6107b19200">depth</a>(d) {}
<a name="l00037"></a><a class="code" href="classWarpTreeNode.html#59baf7853dd8810fe757318fd2c133bb">00037</a>     QModelIndex <a class="code" href="classWarpTreeNode.html#59baf7853dd8810fe757318fd2c133bb">index</a>;
<a name="l00041"></a><a class="code" href="classWarpTreeNode.html#5c97703b27dd8f54b3862162af7110cc">00041</a>     QRect <a class="code" href="classWarpTreeNode.html#5c97703b27dd8f54b3862162af7110cc">rect</a>;
<a name="l00045"></a><a class="code" href="classWarpTreeNode.html#3dc9a70799e29c35f96a0e6107b19200">00045</a>     <span class="keywordtype">int</span> <a class="code" href="classWarpTreeNode.html#3dc9a70799e29c35f96a0e6107b19200">depth</a>;
<a name="l00046"></a>00046 };
<a name="l00047"></a>00047 
<a name="l00051"></a><a class="code" href="classWarpNodePainter.html">00051</a> <span class="keyword">class </span><a class="code" href="classWarpNodePainter.html">WarpNodePainter</a> : <span class="keyword">public</span> QObject {
<a name="l00052"></a>00052 <span class="keyword">private</span>:
<a name="l00053"></a>00053     <span class="keyword">const</span> QFontMetrics fontmetrics;
<a name="l00054"></a>00054     <span class="keyword">const</span> QWidget* widget;
<a name="l00055"></a>00055 <span class="keyword">public</span>:
<a name="l00062"></a>00062     <a class="code" href="classWarpNodePainter.html#41076de244963370e2f4e61105a7aac8">WarpNodePainter</a>(QWidget*);
<a name="l00066"></a>00066     <span class="keyword">virtual</span> <a class="code" href="classWarpNodePainter.html#39002063acf86b3d0bf894f8ca2ca49f">~WarpNodePainter</a>();
<a name="l00070"></a>00070     <span class="keyword">virtual</span> QSize <a class="code" href="classWarpNodePainter.html#3eb66528377255501bd0ab82875fdcab">getLabelSize</a>(<span class="keyword">const</span> QModelIndex&amp; index, <span class="keywordtype">int</span> depth) <span class="keyword">const</span>;
<a name="l00074"></a>00074     <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classWarpNodePainter.html#ac03d5618d4201bf6051c7cf1fc9116c">paintBackground</a>(QPainter&amp; painter, <span class="keyword">const</span> QSize&amp; size,
<a name="l00075"></a>00075         <span class="keyword">const</span> <a class="code" href="classWarpTreeNode.html">WarpTreeNode</a>&amp; activeNode);
<a name="l00084"></a>00084     <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classWarpNodePainter.html#46c80742e66c0416a5f55919b35d7389">paintNode</a>(QPainter&amp; painter, <span class="keyword">const</span> <a class="code" href="classWarpTreeNode.html">WarpTreeNode</a>&amp; node,
<a name="l00085"></a>00085         <span class="keywordtype">bool</span> active, <span class="keywordtype">bool</span> loaded, <span class="keywordtype">bool</span> hovered);
<a name="l00089"></a>00089     <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classWarpNodePainter.html#23f5e4153dfb1ac2ea7052631c300230">paintLine</a>(QPainter&amp; painter, <span class="keyword">const</span> QPoint&amp; parent,
<a name="l00090"></a>00090         <span class="keyword">const</span> QPoint&amp; node, <span class="keywordtype">int</span> depth);
<a name="l00091"></a>00091 };
<a name="l00092"></a>00092 
<a name="l00096"></a><a class="code" href="classWarpTreeView.html">00096</a> <span class="keyword">class </span><a class="code" href="classWarpTreeView.html">WarpTreeView</a> : <span class="keyword">public</span> QAbstractItemView {
<a name="l00097"></a>00097 <span class="keyword">public</span>:
<a name="l00098"></a>00098     <span class="keyword">class </span>Private;
<a name="l00099"></a>00099 <span class="keyword">private</span>:
<a name="l00100"></a>00100     Private* p;
<a name="l00101"></a>00101 <span class="keyword">public</span>:
<a name="l00106"></a>00106     <a class="code" href="classWarpTreeView.html#03f520c2f256db983b65638aa396edf0">WarpTreeView</a>(QWidget* p = 0);
<a name="l00110"></a>00110     <a class="code" href="classWarpTreeView.html#03f61ceb3e5fce6998b2f084a69eecb7">~WarpTreeView</a>();
<a name="l00114"></a>00114     QRect <a class="code" href="classWarpTreeView.html#f7e950b0330e891446e9e9fc9d8dfcb9">visualRect</a>(<span class="keyword">const</span> QModelIndex&amp;) <span class="keyword">const</span>;
<a name="l00119"></a>00119     <span class="keywordtype">void</span> <a class="code" href="classWarpTreeView.html#935cbe854a5bb6a6c84c0cc56830f562">scrollTo</a>(<span class="keyword">const</span> QModelIndex&amp;, QAbstractItemView::ScrollHint);
<a name="l00123"></a>00123     QModelIndex <a class="code" href="classWarpTreeView.html#2369fb8e9bcd3dcb26160653b03efc1a">indexAt</a>(<span class="keyword">const</span> QPoint&amp;) <span class="keyword">const</span>;
<a name="l00128"></a>00128     QModelIndex <a class="code" href="classWarpTreeView.html#347d140b6afa96242f4172862c6d1874">moveCursor</a>(QAbstractItemView::CursorAction,
<a name="l00129"></a>00129         Qt::KeyboardModifiers);
<a name="l00133"></a>00133     <span class="keywordtype">int</span> <a class="code" href="classWarpTreeView.html#4e20278f95229cbbe2ba3de15d15236f">horizontalOffset</a>() <span class="keyword">const</span>;
<a name="l00137"></a>00137     <span class="keywordtype">int</span> <a class="code" href="classWarpTreeView.html#2b4536646386001ac11100399ec8ac74">verticalOffset</a>() <span class="keyword">const</span>;
<a name="l00142"></a>00142     <span class="keywordtype">bool</span> <a class="code" href="classWarpTreeView.html#a709471954350abe5c82a777235e9302">isIndexHidden</a>(<span class="keyword">const</span> QModelIndex&amp;) <span class="keyword">const</span>;
<a name="l00147"></a>00147     <span class="keywordtype">void</span> <a class="code" href="classWarpTreeView.html#dd04bb1aeb7ec5a4ade4303a08128f3e">setSelection</a>(<span class="keyword">const</span> QRect&amp;, QFlags&lt;QItemSelectionModel::SelectionFlag&gt;);
<a name="l00151"></a>00151     QRegion <a class="code" href="classWarpTreeView.html#c771b5dd5c4800ed51b11d1bbc8bcb2d">visualRegionForSelection</a>(<span class="keyword">const</span> QItemSelection&amp;) <span class="keyword">const</span>;
<a name="l00157"></a>00157     <span class="keywordtype">void</span> <a class="code" href="classWarpTreeView.html#d7668ac075962a47b121c8322bc4f808">currentChanged</a>(<span class="keyword">const</span> QModelIndex&amp; current,
<a name="l00158"></a>00158         <span class="keyword">const</span> QModelIndex&amp; previous);
<a name="l00162"></a>00162     <span class="keywordtype">void</span> <a class="code" href="classWarpTreeView.html#5ee6d5ea23c14d294c153959840e8e35">paintEvent</a>(QPaintEvent* e);
<a name="l00166"></a>00166     <span class="keywordtype">void</span> <a class="code" href="classWarpTreeView.html#eb370f7e35854e67fe91e52a12835d73">resizeEvent</a>(QResizeEvent* e);
<a name="l00170"></a>00170     <span class="keywordtype">void</span> <a class="code" href="classWarpTreeView.html#8bc9bead25adb3db495315ae8b11a22e">mouseMoveEvent</a>(QMouseEvent* event);
<a name="l00174"></a>00174     <span class="keywordtype">void</span> <a class="code" href="classWarpTreeView.html#de01ba1756c94f3fd158c23b38e0d0c0">mousePressEvent</a>(QMouseEvent* event);
<a name="l00178"></a>00178     <span class="keywordtype">void</span> <a class="code" href="classWarpTreeView.html#f5392d0f8bc5364fe1d5be54bf522759">mouseReleaseEvent</a>(QMouseEvent* event);
<a name="l00182"></a>00182     <span class="keywordtype">void</span> <a class="code" href="classWarpTreeView.html#68429a9a82a2bdb591fc087020d8ac0b">wheelEvent</a>(QWheelEvent* event);
<a name="l00186"></a>00186     <span class="keywordtype">void</span> <a class="code" href="classWarpTreeView.html#71e50115c559122afe5305090a52c7ab">setModel</a>(QAbstractItemModel* model);
<a name="l00190"></a>00190     <span class="keywordtype">void</span> <a class="code" href="classWarpTreeView.html#ec7a34e35e5a7a88da798c56b5173bbf">setRootIndex</a>(<span class="keyword">const</span> QModelIndex&amp; index);
<a name="l00194"></a>00194     <span class="keywordtype">void</span> <a class="code" href="classWarpTreeView.html#dbd85cbd17ee0a887642aedc758dee5a">setWarpNodePainter</a>(<a class="code" href="classWarpNodePainter.html">WarpNodePainter</a>* painter);
<a name="l00198"></a>00198     <span class="keywordtype">void</span> <a class="code" href="classWarpTreeView.html#ca7979e46b208defd5821c5c376182b6">setAntialiased</a>(<span class="keywordtype">bool</span> a);
<a name="l00202"></a>00202     <span class="keywordtype">bool</span> <a class="code" href="classWarpTreeView.html#f6ea36b4dbb480708f05d69939f04439">antialiased</a>() <span class="keyword">const</span>;
<a name="l00203"></a>00203 };
<a name="l00204"></a>00204 
<a name="l00205"></a>00205 <span class="preprocessor">#endif</span>
</pre></div><hr size="1"><address style="align: right;"><small>Generated on Sat Jun 2 19:18:06 2007 for WarpTree by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.0 </small></address>
</body>
</html>
